> ## Documentation Index
> Fetch the complete documentation index at: https://docs.repdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Import responses

> # Description

Imports responses to a campaign.

# Response

## 200 OK

```json
{
   "result": {
      "firestoreDocumentId": string
   }
}
```

where:

- `firestoreDocumentId`: The firestore document id to keep track of the status of the import process.

## 400 Bad Request

> ProjectId and/or file are missing.

## 401 Unauthorized

> The user doesn't have permissions.

## 500 Internal Server Error

> Error occurred while processing the request.

# Description

Imports responses to a campaign.

# Response

## 200 OK

```json theme={null}
{
   "result": {
      "firestoreDocumentId": string
   }
}
```

where:

* `firestoreDocumentId`: The firestore document id to keep track of the status of the import process.

## 400 Bad Request

> ProjectId and/or file are missing.

## 401 Unauthorized

> The user doesn't have permissions.

## 500 Internal Server Error

> Error occurred while processing the request.


## OpenAPI

````yaml POST /responses-capture-service/v1/containers/responses/upload
openapi: 3.0.3
info:
  title: SightX API
  version: 1.0.0
  description: >-
    SightX REST API documentation. Most responses are JSON; some export
    endpoints return files. API access is a paid add-on — contact
    sales@sightx.io for details.
servers:
  - url: https://auth.admin.sightx.io
    description: Authentication (Production)
  - url: https://auth.staging-admin.sightx.io
    description: Authentication (Staging)
security:
  - AuthorizationHeader: []
paths:
  /responses-capture-service/v1/containers/responses/upload:
    post:
      summary: Import responses
      description: >-
        # Description


        Imports responses to a campaign.


        # Response


        ## 200 OK


        ```json

        {
           "result": {
              "firestoreDocumentId": string
           }
        }

        ```


        where:


        - `firestoreDocumentId`: The firestore document id to keep track of the
        status of the import process.


        ## 400 Bad Request


        > ProjectId and/or file are missing.


        ## 401 Unauthorized


        > The user doesn't have permissions.


        ## 500 Internal Server Error


        > Error occurred while processing the request.
      operationId: >-
        import-responses-post-responses-capture-service-v1-containers-responses-upload
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Import responses
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
              example:
                result:
                  firestoreDocumentId: Zo7esYFrVGVlgyUPoJi2
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '500':
          description: Internal server error
      servers:
        - url: https://responses.sightx.io
components:
  securitySchemes:
    AuthorizationHeader:
      type: apiKey
      in: header
      name: Authorization
      description: Access token obtained from the m2m-token endpoint.

````